# Class OpResult.CheckResult

java.lang.Object
org.apache.zookeeper.OpResult
org.apache.zookeeper.OpResult.CheckResult

Enclosing class:
  `OpResult`

public static class OpResult.CheckResult extends OpResult
A result from a version check operation. No special values are available.

## Nested Class Summary

### Nested classes/interfaces inherited from class OpResult

`OpResult.CheckResult, OpResult.CreateResult, OpResult.DeleteResult, OpResult.ErrorResult, OpResult.GetChildrenResult, OpResult.GetDataResult, OpResult.SetDataResult`

## Constructor Summary

Constructors
Constructor
Description
`CheckResult()`

## Method Summary

Modifier and Type
Method
Description
`boolean`
`equals(Object o)`
`int`
`hashCode()`

### Methods inherited from class OpResult

`getType`

### Methods inherited from class Object

`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### CheckResult

public CheckResult()

## Method Details

### equals

public boolean equals(Object o)

Overrides:
  `equals` in class `Object`

### hashCode

public int hashCode()

Overrides:
  `hashCode` in class `Object`